Bug 230355 - [exp-run] Against projects/clang700-import branch
Summary: [exp-run] Against projects/clang700-import branch
Status: New
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Ports Framework (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Port Management Team
URL:
Keywords:
Depends on: 224669 230503 230603 230606 230608 230609 230622 230627 230628 230994 230399 230400 230401 230412 230462 230463 230464 230502 230600 230602 230604 230607 230614 230623 230624 230626 230629 230630 230631 230787 230936 230938 230939 230941 230942 230943 230944 230945 230946 230947 230948
Blocks:
  Show dependency treegraph
 
Reported: 2018-08-04 17:01 UTC by Dimitry Andric
Modified: 2018-10-14 05:39 UTC (History)
6 users (show)

See Also:
dim: exp-run+


Attachments
[don't land] Restore C++98 by default (501 bytes, patch)
2018-08-08 17:01 UTC, Jan Beich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dimitry Andric freebsd_committer 2018-08-04 17:01:09 UTC
I am importing llvm, clang, compiler-rt, libc++, ldd and lldb 7.0.0 into the projects/clang700-import branch.  As of 2018-08-04, the project branch contains the equivalent of upstream's 7.0.0 rc1.  It has been synchronized with head r337285.

Please perform an exp-run against this branch.
Comment 1 Dimitry Andric freebsd_committer 2018-08-04 17:02:14 UTC
The project branch should be usable now, as of r337325.
Comment 2 Antoine Brodin freebsd_committer 2018-08-08 08:17:38 UTC
more than 10000 ports were skipped due to new failures.

New failures on amd64:

+ {"origin"=>"benchmarks/wrk", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"cad/jspice3", "phase"=>"stage", "errortype"=>"install_error"}
+ {"origin"=>"databases/mongodb36", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"devel/cmake", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"devel/libunwind", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"devel/libzim", "phase"=>"build", "errortype"=>"clang_werror"}
+ {"origin"=>"devel/mico", "phase"=>"build", "errortype"=>"compiler_error"}
+ {"origin"=>"devel/poslib", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"devel/qt5-buildtools", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"devel/thrift", "phase"=>"build", "errortype"=>"clang_werror"}
+ {"origin"=>"devel/thrift-c_glib", "phase"=>"build", "errortype"=>"clang_werror"}
+ {"origin"=>"devel/valgrind", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"devel/valgrind-devel", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"graphics/GraphicsMagick", "phase"=>"package", "errortype"=>"bad_C++_code"}
+ {"origin"=>"lang/ocaml", "phase"=>"build", "errortype"=>"missing_header"}
+ {"origin"=>"lang/ocaml-nox11", "phase"=>"build", "errortype"=>"missing_header"}
+ {"origin"=>"mail/vmailmgr", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"math/libmissing", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"multimedia/vdr-plugin-streamdev", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"net-p2p/zetacoin-nox11", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"net/kea", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"net/minisapserver", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"net/mosh", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"net/pkt-gen", "phase"=>"build", "errortype"=>"clang_werror"}
+ {"origin"=>"net/zerotier", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"security/nmap", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"textproc/2bsd-diff", "phase"=>"build", "errortype"=>"clang-bug"}
+ {"origin"=>"www/newsboat", "phase"=>"build", "errortype"=>"???"}

New failure logs on amd64:


http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-08-08_06h27m44s/logs/errors/wrk-4.1.0.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-08-08_06h27m44s/logs/errors/jspice3-2.5.110615.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-08-08_06h27m44s/logs/errors/mongodb36-3.6.6.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-08-08_06h27m44s/logs/errors/cmake-3.12.0_1.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-08-08_06h27m44s/logs/errors/libunwind-20170615.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-08-08_06h27m44s/logs/errors/libzim-4.0.0_1.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-08-08_06h27m44s/logs/errors/mico-2.3.13_3.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-08-08_06h27m44s/logs/errors/poslib-1.0.6_2.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-08-08_06h27m44s/logs/errors/qt5-buildtools-5.10.1.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-08-08_06h27m44s/logs/errors/thrift-0.11.0,1.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-08-08_06h27m44s/logs/errors/thrift-c_glib-0.11.0,1.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-08-08_06h27m44s/logs/errors/valgrind-3.10.1.20160113_5,1.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-08-08_06h27m44s/logs/errors/valgrind-devel-3.10.1.20160113_5,1.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-08-08_06h27m44s/logs/errors/GraphicsMagick-1.3.29_1,1.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-08-08_06h27m44s/logs/errors/ocaml-4.02.3.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-08-08_06h27m44s/logs/errors/ocaml-nox11-4.02.3.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-08-08_06h27m44s/logs/errors/vmailmgr-0.97_2.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-08-08_06h27m44s/logs/errors/libmissing-20130815_3.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-08-08_06h27m44s/logs/errors/vdr-plugin-streamdev-0.6.1_2.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-08-08_06h27m44s/logs/errors/zetacoin-nox11-0.11.2.3_20.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-08-08_06h27m44s/logs/errors/kea-1.3.0_2.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-08-08_06h27m44s/logs/errors/minisapserver-0.3.8_1.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-08-08_06h27m44s/logs/errors/mosh-1.3.2_4.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-08-08_06h27m44s/logs/errors/pkt-gen-g2017.08.06_1.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-08-08_06h27m44s/logs/errors/zerotier-1.2.10_1.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-08-08_06h27m44s/logs/errors/nmap-7.70.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-08-08_06h27m44s/logs/errors/2bsd-diff-2.11.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-08-08_06h27m44s/logs/errors/newsboat-2.12_1.log
Comment 3 commit-hook freebsd_committer 2018-08-08 12:32:24 UTC
A commit references this bug:

Author: jbeich
Date: Wed Aug  8 12:32:04 UTC 2018
New revision: 476641
URL: https://svnweb.freebsd.org/changeset/ports/476641

Log:
  math/cadabra2: unbreak with libc++ 7

  In file included from core/PythonCdb.cc:25:
  In file included from libs/pybind11/include/pybind11/stl.h:34:
  /usr/include/c++/v1/experimental/optional:11:2: error: "<experimental/optional> has been removed. Use <optional> instead."

  PR:		230355
  Obtained from:	upstream (pybind11)

Changes:
  head/math/cadabra2/Makefile
  head/math/cadabra2/files/patch-pybind11-libc++7
Comment 4 Jan Beich freebsd_committer 2018-08-08 17:01:31 UTC
Created attachment 196011 [details]
[don't land] Restore C++98 by default

Clang 7 highlights more C++11 compatibility issues.
Comment 5 commit-hook freebsd_committer 2018-08-08 18:13:55 UTC
A commit references this bug:

Author: jbeich
Date: Wed Aug  8 18:13:04 UTC 2018
New revision: 476652
URL: https://svnweb.freebsd.org/changeset/ports/476652

Log:
  graphics/opencv: unbreak with clang 7

   modules/stereo/src/descriptor.cpp:229:34: error: ordered comparison between pointer and zero ('const int *' and 'int')
  	     CV_Assert(image.size > 0);
  		       ~~~~~~~~~~ ^ ~
   modules/stereo/src/descriptor.cpp:230:33: error: ordered comparison between pointer and zero ('const int *' and 'int')
  	     CV_Assert(cost.size > 0);
  		       ~~~~~~~~~ ^ ~
   modules/core/include/opencv2/core/base.hpp:478:84: note: expanded from macro 'CV_Assert'
   #define CV_Assert(...) do { CVAUX_CONCAT(CV_Assert_, CV_VA_NUM_ARGS(__VA_ARGS__)) (__VA_ARGS__); } while(0)
  										    ^~~~~~~~~~~
   modules/core/include/opencv2/core/base.hpp:455:35: note: expanded from macro 'CV_Assert_1'
   #define CV_Assert_1( expr ) if(!!(expr)) ; else cv::error( cv::Error::StsAssert, #expr, CV_Func, __FILE__, __LINE__ )
  				   ^~~~

  PR:		230355

Changes:
  head/graphics/opencv/Makefile
  head/graphics/opencv/files/patch-modules_stereo_src_descriptor.cpp
Comment 6 Antoine Brodin freebsd_committer 2018-08-13 20:44:22 UTC
Exp-run results on amd64:

Around 1000 ports were skipped due to new failures

New failures:

+ {"origin"=>"archivers/unarchiver", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"astro/boinc-setiathome", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"astro/kstars", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"biology/seqtools", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"cad/jspice3", "phase"=>"stage", "errortype"=>"install_error"}
+ {"origin"=>"deskutils/tuxcards", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/libzim", "phase"=>"build", "errortype"=>"clang_werror"}
+ {"origin"=>"devel/llvm40", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/llvm50", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/mico", "phase"=>"build", "errortype"=>"compiler_error"}
+ {"origin"=>"devel/poslib", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"devel/sope2", "phase"=>"build", "errortype"=>"configure_error"}
+ {"origin"=>"devel/sope3", "phase"=>"build", "errortype"=>"configure_error"}
+ {"origin"=>"devel/sope4", "phase"=>"build", "errortype"=>"configure_error"}
+ {"origin"=>"devel/thrift", "phase"=>"build", "errortype"=>"clang_werror"}
+ {"origin"=>"devel/thrift-c_glib", "phase"=>"build", "errortype"=>"clang_werror"}
+ {"origin"=>"devel/valgrind", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"devel/valgrind-devel", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"emulators/mame", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"emulators/mess", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"emulators/rpcs3", "phase"=>"configure", "errortype"=>"???"}
+ {"origin"=>"games/flightgear", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/keeperrl", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/nxengine", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/quackle", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/ultimatestunts", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"graphics/GraphicsMagick", "phase"=>"package", "errortype"=>"bad_C++_code"}
+ {"origin"=>"graphics/lprof-devel", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"graphics/py-openimageio", "flavor"=>"py36", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"graphics/py-openimageio", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"irc/kvirc-qt4", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"java/openjfx8-devel", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"mail/vmailmgr", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"math/R-cran-MCMCpack", "phase"=>"stage", "errortype"=>"clang"}
+ {"origin"=>"math/libmissing", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"math/qtiplot", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"math/vtk8", "phase"=>"build", "errortype"=>"clang-bug"}
+ {"origin"=>"multimedia/acidrip", "phase"=>"configure", "errortype"=>"???"}
+ {"origin"=>"multimedia/mythtv", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"multimedia/mythtv-frontend", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"multimedia/vdr-plugin-streamdev", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"net/minisapserver", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"net/mosh", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"net/pkt-gen", "phase"=>"build", "errortype"=>"clang_werror"}
+ {"origin"=>"net/samba46", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"net/samba47", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"net/samba48", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"net/zerotier", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"print/scribus", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"science/clhep", "phase"=>"build", "errortype"=>"coredump"}
+ {"origin"=>"science/paraview", "phase"=>"build", "errortype"=>"clang-bug"}
+ {"origin"=>"security/nmap", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"textproc/2bsd-diff", "phase"=>"build", "errortype"=>"clang-bug"}
+ {"origin"=>"www/newsboat", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"www/rubygem-passenger", "flavor"=>"nginx", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"www/rubygem-passenger", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"www/webkit2-gtk3", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"x11/kdelibs-kde4", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"x11/polybar", "phase"=>"build", "errortype"=>"clang_werror"}
Comment 7 Antoine Brodin freebsd_committer 2018-08-13 20:45:59 UTC
New failure logs:

http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-08-11_19h01m06s/logs/errors/unar-1.10.1_9.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-08-11_19h01m06s/logs/errors/boinc-setiathome-8.00.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-08-11_19h01m06s/logs/errors/kstars-2.9.7_1,1.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-08-11_19h01m06s/logs/errors/seqtools-4.44.1_2.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-08-11_19h01m06s/logs/errors/jspice3-2.5.110615.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-08-11_19h01m06s/logs/errors/tuxcards-2.2.1_1.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-08-11_19h01m06s/logs/errors/libzim-4.0.0_1.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-08-11_19h01m06s/logs/errors/llvm40-4.0.1_9.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-08-11_19h01m06s/logs/errors/llvm50-5.0.2_1.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-08-11_19h01m06s/logs/errors/mico-2.3.13_3.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-08-11_19h01m06s/logs/errors/poslib-1.0.6_2.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-08-11_19h01m06s/logs/errors/sope2-2.3.23_1.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-08-11_19h01m06s/logs/errors/sope3-3.2.10_2.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-08-11_19h01m06s/logs/errors/sope4-4.0.1.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-08-11_19h01m06s/logs/errors/thrift-0.11.0,1.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-08-11_19h01m06s/logs/errors/thrift-c_glib-0.11.0,1.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-08-11_19h01m06s/logs/errors/valgrind-3.10.1.20160113_5,1.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-08-11_19h01m06s/logs/errors/valgrind-devel-3.10.1.20160113_5,1.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-08-11_19h01m06s/logs/errors/mame-0.200.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-08-11_19h01m06s/logs/errors/mess-0.200.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-08-11_19h01m06s/logs/errors/rpcs3-0.0.5.703.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-08-11_19h01m06s/logs/errors/flightgear-2018.2.1_2.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-08-11_19h01m06s/logs/errors/keeperrl-0.0.23_1.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-08-11_19h01m06s/logs/errors/nxengine-2.6.3_1.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-08-11_19h01m06s/logs/errors/quackle-1.0.3_3.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-08-11_19h01m06s/logs/errors/ultimatestunts-0.7.7.1_5.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-08-11_19h01m06s/logs/errors/GraphicsMagick-1.3.29_1,1.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-08-11_19h01m06s/logs/errors/lprof-devel-20080514_13.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-08-11_19h01m06s/logs/errors/py36-openimageio-1.7.17_12.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-08-11_19h01m06s/logs/errors/py27-openimageio-1.7.17_12.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-08-11_19h01m06s/logs/errors/kvirc-qt4-4.2.0_8.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-08-11_19h01m06s/logs/errors/openjfx8-devel-8.u172.b11_2,1.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-08-11_19h01m06s/logs/errors/vmailmgr-0.97_2.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-08-11_19h01m06s/logs/errors/R-cran-MCMCpack-1.4.3.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-08-11_19h01m06s/logs/errors/libmissing-20130815_3.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-08-11_19h01m06s/logs/errors/qtiplot-0.9.8.9_15.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-08-11_19h01m06s/logs/errors/vtk8-8.1.1.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-08-11_19h01m06s/logs/errors/acidrip-0.14_11.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-08-11_19h01m06s/logs/errors/mythtv-29.1_1,1.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-08-11_19h01m06s/logs/errors/mythtv-frontend-29.1_1,1.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-08-11_19h01m06s/logs/errors/vdr-plugin-streamdev-0.6.1_2.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-08-11_19h01m06s/logs/errors/minisapserver-0.3.8_1.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-08-11_19h01m06s/logs/errors/mosh-1.3.2_4.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-08-11_19h01m06s/logs/errors/pkt-gen-g2017.08.06_1.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-08-11_19h01m06s/logs/errors/samba46-4.6.15_1.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-08-11_19h01m06s/logs/errors/samba47-4.7.7_1.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-08-11_19h01m06s/logs/errors/samba48-4.8.3.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-08-11_19h01m06s/logs/errors/zerotier-1.2.10_1.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-08-11_19h01m06s/logs/errors/scribus-1.4.7_1.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-08-11_19h01m06s/logs/errors/clhep-2.4.0.4_1.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-08-11_19h01m06s/logs/errors/paraview-5.5.1_2.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-08-11_19h01m06s/logs/errors/nmap-7.70.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-08-11_19h01m06s/logs/errors/2bsd-diff-2.11.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-08-11_19h01m06s/logs/errors/newsboat-2.12_1.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-08-11_19h01m06s/logs/errors/rubygem-passenger-nginx-5.3.4.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-08-11_19h01m06s/logs/errors/rubygem-passenger-apache-5.3.4.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-08-11_19h01m06s/logs/errors/webkit2-gtk3-2.20.3_1.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-08-11_19h01m06s/logs/errors/kdelibs-kde4-4.14.38_4.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-08-11_19h01m06s/logs/errors/polybar-3.2.1.log
Comment 8 commit-hook freebsd_committer 2018-08-14 13:33:50 UTC
A commit references this bug:

Author: jbeich
Date: Tue Aug 14 13:33:21 UTC 2018
New revision: 477151
URL: https://svnweb.freebsd.org/changeset/ports/477151

Log:
  math/libmissing: unbreak with LLD 7

  ld: error: unknown -z value: interpose
  cc: error: linker command failed with exit code 1 (use -v to see invocation)

  PR:		214864 230355
  Reported by:	antoine (via exp-run)

Changes:
  head/math/libmissing/Makefile
Comment 9 commit-hook freebsd_committer 2018-08-14 21:48:42 UTC
A commit references this bug:

Author: jbeich
Date: Tue Aug 14 21:48:01 UTC 2018
New revision: 477206
URL: https://svnweb.freebsd.org/changeset/ports/477206

Log:
  devel/nlohmann-json: unbreak consumers with libc++ 7

  In file included from test/src/unit-conversions.cpp:32:
  single_include/nlohmann/json.hpp:1201:9: error: static_assert failed "could not find from_json() method in T's namespace"
          static_assert(sizeof(BasicJsonType) == 0,
          ^             ~~~~~~~~~~~~~~~~~~~~~~~~~~
  single_include/nlohmann/json.hpp:1216:16: note: in instantiation of function template specialization 'nlohmann::detail::from_json_fn::call<nlohmann::basic_json<std::map, std::vector, std::__1::basic_string<char>, bool, long, unsigned long, double, std::allocator, adl_serializer>, std::__1::basic_string_view<char, std::__1::char_traits<char> > >' requested here
          return call(j, val, priority_tag<1> {});
                 ^
  single_include/nlohmann/json.hpp:9660:9: note: in instantiation of function template specialization 'nlohmann::detail::from_json_fn::operator()<nlohmann::basic_json<std::map, std::vector, std::__1::basic_string<char>, bool, long, unsigned long, double, std::allocator, adl_serializer>, std::__1::basic_string_view<char, std::__1::char_traits<char> > >' requested here
          ::nlohmann::from_json(std::forward<BasicJsonType>(j), val);
          ^
  single_include/nlohmann/json.hpp:12181:36: note: in instantiation of function template specialization 'nlohmann::adl_serializer<std::__1::basic_string_view<char, std::__1::char_traits<char> >, void>::from_json<const nlohmann::basic_json<std::map, std::vector, std::__1::basic_string<char>, bool, long, unsigned long, double, std::allocator, adl_serializer> &, std::__1::basic_string_view<char, std::__1::char_traits<char> > >' requested here
          JSONSerializer<ValueType>::from_json(*this, ret);
                                     ^
  single_include/nlohmann/json.hpp:12443:16: note: in instantiation of function template specialization 'nlohmann::basic_json<std::map, std::vector, std::__1::basic_string<char>, bool, long, unsigned long, double, std::allocator, adl_serializer>::get<std::__1::basic_string_view<char, std::__1::char_traits<char> >, std::__1::basic_string_view<char, std::__1::char_traits<char> >, 0>' requested here
          return get<ValueType>();
                 ^
  /usr/include/c++/v1/string:875:29: note: in instantiation of function template specialization 'nlohmann::basic_json<std::map, std::vector, std::__1::basic_string<char>, bool, long, unsigned long, double, std::allocator, adl_serializer>::operator basic_string_view<std::__1::basic_string_view<char, std::__1::char_traits<char> >, 0>' requested here
          {__self_view __sv = __t; return assign(__sv);}
                              ^
  /usr/include/c++/v1/algorithm:1744:19: note: (skipping 3 contexts in backtrace; use -ftemplate-backtrace-limit=0 to see all)
          *__result = *__first;
                    ^
  single_include/nlohmann/json.hpp:1195:16: note: in instantiation of function template specialization 'nlohmann::detail::from_json<nlohmann::basic_json<std::map, std::vector, std::__1::basic_string<char>, bool, long, unsigned long, double, std::allocator, adl_serializer>, std::__1::basic_string<char>, 0>' requested here
          return from_json(j, val);
                 ^
  single_include/nlohmann/json.hpp:1216:16: note: in instantiation of function template specialization 'nlohmann::detail::from_json_fn::call<nlohmann::basic_json<std::map, std::vector, std::__1::basic_string<char>, bool, long, unsigned long, double, std::allocator, adl_serializer>, std::__1::valarray<std::__1::basic_string<char> > >' requested here
          return call(j, val, priority_tag<1> {});
                 ^
  single_include/nlohmann/json.hpp:9660:9: note: in instantiation of function template specialization 'nlohmann::detail::from_json_fn::operator()<nlohmann::basic_json<std::map, std::vector, std::__1::basic_string<char>, bool, long, unsigned long, double, std::allocator, adl_serializer>, std::__1::valarray<std::__1::basic_string<char> > >' requested here
          ::nlohmann::from_json(std::forward<BasicJsonType>(j), val);
          ^
  single_include/nlohmann/json.hpp:12181:36: note: in instantiation of function template specialization 'nlohmann::adl_serializer<std::__1::valarray<std::__1::basic_string<char> >, void>::from_json<const nlohmann::basic_json<std::map, std::vector, std::__1::basic_string<char>, bool, long, unsigned long, double, std::allocator, adl_serializer> &, std::__1::valarray<std::__1::basic_string<char> > >' requested here
          JSONSerializer<ValueType>::from_json(*this, ret);
                                     ^
  test/src/unit-conversions.cpp:1042:20: note: in instantiation of function template specialization 'nlohmann::basic_json<std::map, std::vector, std::__1::basic_string<char>, bool, long, unsigned long, double, std::allocator, adl_serializer>::get<std::__1::valarray<std::__1::basic_string<char> >, std::__1::valarray<std::__1::basic_string<char> >, 0>' requested here
                  j5.get<std::valarray<std::string>>();
                     ^

  PR:		230355
  Obtained from:	upstream

Changes:
  head/devel/nlohmann-json/files/
  head/devel/nlohmann-json/files/patch-libc++7
Comment 10 Jan Beich freebsd_committer 2018-08-14 21:57:14 UTC
Oops, comment 9 unbroke devel/xeus.
Comment 11 Antoine Brodin freebsd_committer 2018-08-16 07:29:51 UTC
On i386, buildworld still fails to complete.
Comment 12 Jan Beich freebsd_committer 2018-08-20 16:34:53 UTC
Antoine, can you retry on amd64 after base r338014? To make the results slightly less boring apply attachment 196011 [details] as well. Some compiler crashes maybe hiding behind bug 224669 leftovers.
Comment 13 Antoine Brodin freebsd_committer 2018-08-26 05:50:46 UTC
New failures with gnucxx98 by default:

+ {"origin"=>"archivers/unarchiver", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"astro/kstars", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"biology/seqtools", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"cad/jspice3", "phase"=>"stage", "errortype"=>"install_error"}
+ {"origin"=>"databases/foundationdb", "phase"=>"build", "errortype"=>"clang_werror"}
+ {"origin"=>"deskutils/tuxcards", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/cxxopts", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/flang", "phase"=>"build", "errortype"=>"coredump"}
+ {"origin"=>"devel/sope2", "phase"=>"build", "errortype"=>"configure_error"}
+ {"origin"=>"devel/sope3", "phase"=>"build", "errortype"=>"configure_error"}
+ {"origin"=>"devel/sope4", "phase"=>"build", "errortype"=>"configure_error"}
+ {"origin"=>"devel/valgrind", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"devel/valgrind-devel", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"emulators/rpcs3", "phase"=>"configure", "errortype"=>"???"}
+ {"origin"=>"games/flightgear", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/keeperrl", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/qgo", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/quackle", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"graphics/GraphicsMagick", "phase"=>"package", "errortype"=>"bad_C++_code"}
+ {"origin"=>"graphics/lprof-devel", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"graphics/py-openimageio", "flavor"=>"py36", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"graphics/py-openimageio", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"irc/kvirc-qt4", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"mail/vmailmgr", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"math/R-cran-MCMCpack", "phase"=>"stage", "errortype"=>"clang"}
+ {"origin"=>"math/qtiplot", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"multimedia/acidrip", "phase"=>"configure", "errortype"=>"???"}
+ {"origin"=>"multimedia/mythtv", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"multimedia/mythtv-frontend", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"net/samba46", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"net/samba47", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"net/samba48", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"print/scribus", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"science/clhep", "phase"=>"build", "errortype"=>"coredump"}
+ {"origin"=>"textproc/2bsd-diff", "phase"=>"build", "errortype"=>"clang-bug"}
+ {"origin"=>"x11/kdelibs-kde4", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"x11/polybar", "phase"=>"build", "errortype"=>"clang_werror"}
Comment 14 Antoine Brodin freebsd_committer 2018-08-26 05:52:23 UTC
New failure logs with gnucxx98 by default:

http://package18.nyi.freebsd.org/data/headamd64PR230355gnucxx98-default/2018-08-25_06h21m24s/logs/errors/unar-1.10.1_9.log
http://package18.nyi.freebsd.org/data/headamd64PR230355gnucxx98-default/2018-08-25_06h21m24s/logs/errors/kstars-2.9.7_1,1.log
http://package18.nyi.freebsd.org/data/headamd64PR230355gnucxx98-default/2018-08-25_06h21m24s/logs/errors/seqtools-4.44.1_2.log
http://package18.nyi.freebsd.org/data/headamd64PR230355gnucxx98-default/2018-08-25_06h21m24s/logs/errors/jspice3-2.5.110615.log
http://package18.nyi.freebsd.org/data/headamd64PR230355gnucxx98-default/2018-08-25_06h21m24s/logs/errors/foundationdb-5.2.8.log
http://package18.nyi.freebsd.org/data/headamd64PR230355gnucxx98-default/2018-08-25_06h21m24s/logs/errors/tuxcards-2.2.1_1.log
http://package18.nyi.freebsd.org/data/headamd64PR230355gnucxx98-default/2018-08-25_06h21m24s/logs/errors/cxxopts-2.1.1.log
http://package18.nyi.freebsd.org/data/headamd64PR230355gnucxx98-default/2018-08-25_06h21m24s/logs/errors/flang-5.0.20171225_2.log
http://package18.nyi.freebsd.org/data/headamd64PR230355gnucxx98-default/2018-08-25_06h21m24s/logs/errors/sope2-2.3.23_1.log
http://package18.nyi.freebsd.org/data/headamd64PR230355gnucxx98-default/2018-08-25_06h21m24s/logs/errors/sope3-3.2.10_2.log
http://package18.nyi.freebsd.org/data/headamd64PR230355gnucxx98-default/2018-08-25_06h21m24s/logs/errors/sope4-4.0.1.log
http://package18.nyi.freebsd.org/data/headamd64PR230355gnucxx98-default/2018-08-25_06h21m24s/logs/errors/valgrind-3.10.1.20160113_5,1.log
http://package18.nyi.freebsd.org/data/headamd64PR230355gnucxx98-default/2018-08-25_06h21m24s/logs/errors/valgrind-devel-3.10.1.20160113_5,1.log
http://package18.nyi.freebsd.org/data/headamd64PR230355gnucxx98-default/2018-08-25_06h21m24s/logs/errors/rpcs3-0.0.5.774.log
http://package18.nyi.freebsd.org/data/headamd64PR230355gnucxx98-default/2018-08-25_06h21m24s/logs/errors/flightgear-2018.2.1_2.log
http://package18.nyi.freebsd.org/data/headamd64PR230355gnucxx98-default/2018-08-25_06h21m24s/logs/errors/keeperrl-0.0.23_1.log
http://package18.nyi.freebsd.org/data/headamd64PR230355gnucxx98-default/2018-08-25_06h21m24s/logs/errors/qgo-2.s764.log
http://package18.nyi.freebsd.org/data/headamd64PR230355gnucxx98-default/2018-08-25_06h21m24s/logs/errors/quackle-1.0.3_3.log
http://package18.nyi.freebsd.org/data/headamd64PR230355gnucxx98-default/2018-08-25_06h21m24s/logs/errors/GraphicsMagick-1.3.30,1.log
http://package18.nyi.freebsd.org/data/headamd64PR230355gnucxx98-default/2018-08-25_06h21m24s/logs/errors/lprof-devel-20080514_13.log
http://package18.nyi.freebsd.org/data/headamd64PR230355gnucxx98-default/2018-08-25_06h21m24s/logs/errors/py36-openimageio-1.7.17_12.log
http://package18.nyi.freebsd.org/data/headamd64PR230355gnucxx98-default/2018-08-25_06h21m24s/logs/errors/py27-openimageio-1.7.17_12.log
http://package18.nyi.freebsd.org/data/headamd64PR230355gnucxx98-default/2018-08-25_06h21m24s/logs/errors/kvirc-qt4-4.2.0_8.log
http://package18.nyi.freebsd.org/data/headamd64PR230355gnucxx98-default/2018-08-25_06h21m24s/logs/errors/vmailmgr-0.97_2.log
http://package18.nyi.freebsd.org/data/headamd64PR230355gnucxx98-default/2018-08-25_06h21m24s/logs/errors/R-cran-MCMCpack-1.4.3.log
http://package18.nyi.freebsd.org/data/headamd64PR230355gnucxx98-default/2018-08-25_06h21m24s/logs/errors/qtiplot-0.9.8.9_15.log
http://package18.nyi.freebsd.org/data/headamd64PR230355gnucxx98-default/2018-08-25_06h21m24s/logs/errors/acidrip-0.14_11.log
http://package18.nyi.freebsd.org/data/headamd64PR230355gnucxx98-default/2018-08-25_06h21m24s/logs/errors/mythtv-29.1_1,1.log
http://package18.nyi.freebsd.org/data/headamd64PR230355gnucxx98-default/2018-08-25_06h21m24s/logs/errors/mythtv-frontend-29.1_1,1.log
http://package18.nyi.freebsd.org/data/headamd64PR230355gnucxx98-default/2018-08-25_06h21m24s/logs/errors/samba46-4.6.16.log
http://package18.nyi.freebsd.org/data/headamd64PR230355gnucxx98-default/2018-08-25_06h21m24s/logs/errors/samba47-4.7.9.log
http://package18.nyi.freebsd.org/data/headamd64PR230355gnucxx98-default/2018-08-25_06h21m24s/logs/errors/samba48-4.8.4.log
http://package18.nyi.freebsd.org/data/headamd64PR230355gnucxx98-default/2018-08-25_06h21m24s/logs/errors/scribus-1.4.7_1.log
http://package18.nyi.freebsd.org/data/headamd64PR230355gnucxx98-default/2018-08-25_06h21m24s/logs/errors/clhep-2.4.0.4_1.log
http://package18.nyi.freebsd.org/data/headamd64PR230355gnucxx98-default/2018-08-25_06h21m24s/logs/errors/2bsd-diff-2.11.log
http://package18.nyi.freebsd.org/data/headamd64PR230355gnucxx98-default/2018-08-25_06h21m24s/logs/errors/kdelibs-kde4-4.14.38_5.log
http://package18.nyi.freebsd.org/data/headamd64PR230355gnucxx98-default/2018-08-25_06h21m24s/logs/errors/polybar-3.2.1.log
Comment 15 Antoine Brodin freebsd_committer 2018-08-26 05:53:36 UTC
Around 800 ports were skipped due to new failures ( x11/kdelibs-kde4 , net/samba4* , graphics/GraphicsMagick )
Comment 16 commit-hook freebsd_committer 2018-08-27 17:29:47 UTC
A commit references this bug:

Author: jbeich
Date: Mon Aug 27 17:29:04 UTC 2018
New revision: 478237
URL: https://svnweb.freebsd.org/changeset/ports/478237

Log:
  games/keeperrl: unbreak with libc++ 7

  In file included from effect.cpp:731:
  ./pretty_archive.h:135:12: error: call to 'quoted' is ambiguous
    ar.os << std::quoted(t) << " ";
             ^~~~~~~~~~~
  /usr/include/c++/v1/iomanip:645:1: note: candidate function [with _CharT = char, _Traits = std::__1::char_traits<char>, _Allocator = std::__1::allocator<char>]
  quoted ( const basic_string <_CharT, _Traits, _Allocator> &__s, _CharT __delim = _CharT('"'), _CharT __escape=_CharT('\\'))
  ^
  ./extern/iomanip.h:173:3: note: candidate function [with _CharT = char, _Traits = std::__1::char_traits<char>, _Alloc = std::__1::allocator<char>]
    quoted(const basic_string<_CharT, _Traits, _Alloc>& __string,
    ^

  PR:		230355
  Obtained from:	upstream

Changes:
  head/games/keeperrl/Makefile
  head/games/keeperrl/distinfo
Comment 17 commit-hook freebsd_committer 2018-08-29 20:54:03 UTC
A commit references this bug:

Author: dim
Date: Wed Aug 29 20:53:30 UTC 2018
New revision: 338391
URL: https://svnweb.freebsd.org/changeset/base/338391

Log:
  Merge llvm, clang, lld, lldb, compiler-rt and libc++ release_70 branch
  r340910, resolve conflicts, and bump version numbers.

  PR:		230240, 230355

Changes:
_U  projects/clang700-import/contrib/compiler-rt/
  projects/clang700-import/contrib/compiler-rt/lib/lsan/lsan_common.cc
_U  projects/clang700-import/contrib/libc++/
  projects/clang700-import/contrib/libc++/include/__node_handle
_U  projects/clang700-import/contrib/llvm/
  projects/clang700-import/contrib/llvm/include/llvm/CodeGen/GlobalISel/IRTranslator.h
  projects/clang700-import/contrib/llvm/include/llvm/IR/Function.h
  projects/clang700-import/contrib/llvm/include/llvm/MC/MCExpr.h
  projects/clang700-import/contrib/llvm/include/llvm/MC/MCParser/MCAsmParserUtils.h
  projects/clang700-import/contrib/llvm/include/llvm/MC/MCParser/MCTargetAsmParser.h
  projects/clang700-import/contrib/llvm/lib/CodeGen/CodeGenPrepare.cpp
  projects/clang700-import/contrib/llvm/lib/CodeGen/GlobalISel/IRTranslator.cpp
  projects/clang700-import/contrib/llvm/lib/IR/DebugInfo.cpp
  projects/clang700-import/contrib/llvm/lib/MC/MCExpr.cpp
  projects/clang700-import/contrib/llvm/lib/MC/MCParser/AsmParser.cpp
  projects/clang700-import/contrib/llvm/lib/Support/Path.cpp
  projects/clang700-import/contrib/llvm/lib/Support/Windows/Path.inc
  projects/clang700-import/contrib/llvm/lib/Target/AArch64/AArch64SystemOperands.td
  projects/clang700-import/contrib/llvm/lib/Target/X86/AsmParser/X86AsmParser.cpp
  projects/clang700-import/contrib/llvm/lib/Target/X86/MCTargetDesc/X86MCExpr.h
  projects/clang700-import/contrib/llvm/lib/Transforms/Utils/BypassSlowDivision.cpp
_U  projects/clang700-import/contrib/llvm/tools/clang/
  projects/clang700-import/contrib/llvm/tools/clang/include/clang/AST/Comment.h
  projects/clang700-import/contrib/llvm/tools/clang/include/clang/AST/Decl.h
  projects/clang700-import/contrib/llvm/tools/clang/include/clang/AST/DeclBase.h
  projects/clang700-import/contrib/llvm/tools/clang/include/clang/AST/DeclCXX.h
  projects/clang700-import/contrib/llvm/tools/clang/include/clang/AST/DeclObjC.h
  projects/clang700-import/contrib/llvm/tools/clang/include/clang/AST/DeclarationName.h
  projects/clang700-import/contrib/llvm/tools/clang/include/clang/AST/Expr.h
  projects/clang700-import/contrib/llvm/tools/clang/include/clang/AST/ExprCXX.h
  projects/clang700-import/contrib/llvm/tools/clang/include/clang/AST/ExprObjC.h
  projects/clang700-import/contrib/llvm/tools/clang/include/clang/AST/ExprOpenMP.h
  projects/clang700-import/contrib/llvm/tools/clang/include/clang/AST/OpenMPClause.h
  projects/clang700-import/contrib/llvm/tools/clang/include/clang/AST/RawCommentList.h
  projects/clang700-import/contrib/llvm/tools/clang/include/clang/AST/Stmt.h
  projects/clang700-import/contrib/llvm/tools/clang/include/clang/AST/StmtCXX.h
  projects/clang700-import/contrib/llvm/tools/clang/include/clang/AST/StmtObjC.h
  projects/clang700-import/contrib/llvm/tools/clang/include/clang/AST/StmtOpenMP.h
  projects/clang700-import/contrib/llvm/tools/clang/include/clang/Analysis/CloneDetection.h
  projects/clang700-import/contrib/llvm/tools/clang/include/clang/Basic/BuiltinsX86_64.def
  projects/clang700-import/contrib/llvm/tools/clang/include/clang/Sema/DeclSpec.h
  projects/clang700-import/contrib/llvm/tools/clang/lib/AST/DeclObjC.cpp
  projects/clang700-import/contrib/llvm/tools/clang/lib/AST/Expr.cpp
  projects/clang700-import/contrib/llvm/tools/clang/lib/AST/ExprCXX.cpp
  projects/clang700-import/contrib/llvm/tools/clang/lib/AST/MicrosoftMangle.cpp
  projects/clang700-import/contrib/llvm/tools/clang/lib/AST/Stmt.cpp
  projects/clang700-import/contrib/llvm/tools/clang/lib/AST/StmtObjC.cpp
  projects/clang700-import/contrib/llvm/tools/clang/lib/Analysis/CloneDetection.cpp
  projects/clang700-import/contrib/llvm/tools/clang/lib/CodeGen/CGBuiltin.cpp
  projects/clang700-import/contrib/llvm/tools/clang/lib/CodeGen/CGExpr.cpp
  projects/clang700-import/contrib/llvm/tools/clang/lib/CodeGen/CodeGenModule.cpp
  projects/clang700-import/contrib/llvm/tools/clang/lib/CodeGen/CoverageMappingGen.cpp
  projects/clang700-import/contrib/llvm/tools/clang/lib/Headers/intrin.h
  projects/clang700-import/contrib/llvm/tools/clang/lib/Sema/SemaChecking.cpp
  projects/clang700-import/contrib/llvm/tools/clang/lib/Sema/SemaInit.cpp
_U  projects/clang700-import/contrib/llvm/tools/lld/
  projects/clang700-import/contrib/llvm/tools/lld/docs/ReleaseNotes.rst
_U  projects/clang700-import/contrib/llvm/tools/lldb/
  projects/clang700-import/lib/clang/include/clang/Basic/Version.inc
  projects/clang700-import/lib/clang/include/clang/Config/config.h
  projects/clang700-import/lib/clang/include/lld/Common/Version.inc
  projects/clang700-import/lib/clang/include/llvm/Support/DataTypes.h
  projects/clang700-import/lib/clang/include/llvm/Support/VCSRevision.h
Comment 18 Jan Beich freebsd_committer 2018-08-30 11:28:12 UTC
Antoine, can you try on i386 (see base r337979) together with attachment 196011 [details]?
Comment 19 Antoine Brodin freebsd_committer 2018-09-06 17:10:40 UTC
New failures on i386:

http://package18.nyi.freebsd.org/data/headi386PR230355-default/2018-09-05_11h57m59s/logs/errors/unar-1.10.1_9.log
http://package18.nyi.freebsd.org/data/headi386PR230355-default/2018-09-05_11h57m59s/logs/errors/boinc-setiathome-8.00.log
http://package18.nyi.freebsd.org/data/headi386PR230355-default/2018-09-05_11h57m59s/logs/errors/postal-0.73_3.log
http://package18.nyi.freebsd.org/data/headi386PR230355-default/2018-09-05_11h57m59s/logs/errors/jspice3-2.5.110615.log
http://package18.nyi.freebsd.org/data/headi386PR230355-default/2018-09-05_11h57m59s/logs/errors/superkaramba-kde4-4.14.3_5.log
http://package18.nyi.freebsd.org/data/headi386PR230355-default/2018-09-05_11h57m59s/logs/errors/tuxcards-2.2.1_1.log
http://package18.nyi.freebsd.org/data/headi386PR230355-default/2018-09-05_11h57m59s/logs/errors/cxxopts-2.1.1.log
http://package18.nyi.freebsd.org/data/headi386PR230355-default/2018-09-05_11h57m59s/logs/errors/poslib-1.0.6_2.log
http://package18.nyi.freebsd.org/data/headi386PR230355-default/2018-09-05_11h57m59s/logs/errors/thrift-0.11.0,1.log
http://package18.nyi.freebsd.org/data/headi386PR230355-default/2018-09-05_11h57m59s/logs/errors/thrift-c_glib-0.11.0,1.log
http://package18.nyi.freebsd.org/data/headi386PR230355-default/2018-09-05_11h57m59s/logs/errors/kmymoney-kde4-4.8.2_2.log
http://package18.nyi.freebsd.org/data/headi386PR230355-default/2018-09-05_11h57m59s/logs/errors/quackle-1.0.3_3.log
http://package18.nyi.freebsd.org/data/headi386PR230355-default/2018-09-05_11h57m59s/logs/errors/ultimatestunts-0.7.7.1_5.log
http://package18.nyi.freebsd.org/data/headi386PR230355-default/2018-09-05_11h57m59s/logs/errors/GraphicsMagick-1.3.30,1.log
http://package18.nyi.freebsd.org/data/headi386PR230355-default/2018-09-05_11h57m59s/logs/errors/py36-open3d-python-0.2.log
http://package18.nyi.freebsd.org/data/headi386PR230355-default/2018-09-05_11h57m59s/logs/errors/py27-open3d-python-0.2.log
http://package18.nyi.freebsd.org/data/headi386PR230355-default/2018-09-05_11h57m59s/logs/errors/kvirc-4.2.0_8.log
http://package18.nyi.freebsd.org/data/headi386PR230355-default/2018-09-05_11h57m59s/logs/errors/kvirc-qt4-4.2.0_8.log
http://package18.nyi.freebsd.org/data/headi386PR230355-default/2018-09-05_11h57m59s/logs/errors/kshowmail-4.1_6.log
http://package18.nyi.freebsd.org/data/headi386PR230355-default/2018-09-05_11h57m59s/logs/errors/vmailmgr-0.97_2.log
http://package18.nyi.freebsd.org/data/headi386PR230355-default/2018-09-05_11h57m59s/logs/errors/R-cran-MCMCpack-1.4.3.log
http://package18.nyi.freebsd.org/data/headi386PR230355-default/2018-09-05_11h57m59s/logs/errors/qtiplot-0.9.8.9_15.log
http://package18.nyi.freebsd.org/data/headi386PR230355-default/2018-09-05_11h57m59s/logs/errors/mythtv-29.1_1,1.log
http://package18.nyi.freebsd.org/data/headi386PR230355-default/2018-09-05_11h57m59s/logs/errors/mythtv-frontend-29.1_1,1.log
http://package18.nyi.freebsd.org/data/headi386PR230355-default/2018-09-05_11h57m59s/logs/errors/kopete-kde4-4.14.3_10.log
http://package18.nyi.freebsd.org/data/headi386PR230355-default/2018-09-05_11h57m59s/logs/errors/minisapserver-0.3.8_1.log
http://package18.nyi.freebsd.org/data/headi386PR230355-default/2018-09-05_11h57m59s/logs/errors/scribus-1.4.7_1.log
http://package18.nyi.freebsd.org/data/headi386PR230355-default/2018-09-05_11h57m59s/logs/errors/nmap-7.70.log
http://package18.nyi.freebsd.org/data/headi386PR230355-default/2018-09-05_11h57m59s/logs/errors/2bsd-diff-2.11.log
http://package18.nyi.freebsd.org/data/headi386PR230355-default/2018-09-05_11h57m59s/logs/errors/polybar-3.2.1.log

Around 150 ports skipped due to new failures
Comment 20 Adriaan de Groot freebsd_committer 2018-09-07 13:08:40 UTC
At this point, net/samba47 is blocking further exploration of the KDE4 ports which have one common, recurring pattern that's easy enough to fix (but tedious).
Comment 21 Dimitry Andric freebsd_committer 2018-09-07 18:32:05 UTC
(In reply to Adriaan de Groot from comment #20)
> At this point, net/samba47 is blocking further exploration of the KDE4 ports
> which have one common, recurring pattern that's easy enough to fix (but
> tedious).

Hm, isn't bug 230602 already committed, then? Not sure what the maintainer is waiting for, maybe another exp-run?
Comment 22 commit-hook freebsd_committer 2018-09-11 18:51:03 UTC
A commit references this bug:

Author: dim
Date: Tue Sep 11 18:50:47 UTC 2018
New revision: 338597
URL: https://svnweb.freebsd.org/changeset/base/338597

Log:
  Merge llvm, clang, lld, lldb, compiler-rt and libc++ release_70 branch
  r341916, resolve conflicts, and bump version numbers.

  PR:		230240, 230355

Changes:
_U  projects/clang700-import/contrib/compiler-rt/
  projects/clang700-import/contrib/compiler-rt/lib/sanitizer_common/sanitizer_platform_limits_posix.cc
_U  projects/clang700-import/contrib/libc++/
  projects/clang700-import/contrib/libc++/include/memory
  projects/clang700-import/contrib/libc++/include/regex
_U  projects/clang700-import/contrib/llvm/
  projects/clang700-import/contrib/llvm/lib/MC/MCParser/AsmParser.cpp
  projects/clang700-import/contrib/llvm/lib/Support/Unix/Path.inc
  projects/clang700-import/contrib/llvm/lib/Support/Unix/Process.inc
  projects/clang700-import/contrib/llvm/lib/Target/AMDGPU/AMDGPU.h
  projects/clang700-import/contrib/llvm/lib/Target/AMDGPU/AMDGPUAliasAnalysis.cpp
  projects/clang700-import/contrib/llvm/lib/Target/AMDGPU/AMDGPUAliasAnalysis.h
  projects/clang700-import/contrib/llvm/lib/Target/AMDGPU/AMDGPUISelDAGToDAG.cpp
  projects/clang700-import/contrib/llvm/lib/Target/ARM/ARMFrameLowering.cpp
  projects/clang700-import/contrib/llvm/lib/Target/ARM/ARMInstrFormats.td
  projects/clang700-import/contrib/llvm/lib/Target/ARM/ARMInstrThumb2.td
  projects/clang700-import/contrib/llvm/lib/Target/ARM/MCTargetDesc/ARMBaseInfo.h
  projects/clang700-import/contrib/llvm/lib/Target/ARM/Thumb2InstrInfo.cpp
  projects/clang700-import/contrib/llvm/lib/Target/BPF/MCTargetDesc/BPFAsmBackend.cpp
  projects/clang700-import/contrib/llvm/lib/Target/X86/AsmParser/X86AsmParser.cpp
  projects/clang700-import/contrib/llvm/lib/Transforms/Scalar/LoopSink.cpp
  projects/clang700-import/contrib/llvm/lib/Transforms/Scalar/SROA.cpp
  projects/clang700-import/contrib/llvm/lib/Transforms/Utils/CloneFunction.cpp
  projects/clang700-import/contrib/llvm/lib/Transforms/Vectorize/LoopVectorize.cpp
_U  projects/clang700-import/contrib/llvm/tools/clang/
  projects/clang700-import/contrib/llvm/tools/clang/lib/Driver/ToolChains/Clang.cpp
_U  projects/clang700-import/contrib/llvm/tools/lld/
  projects/clang700-import/contrib/llvm/tools/lld/COFF/Driver.cpp
  projects/clang700-import/contrib/llvm/tools/lld/COFF/Driver.h
  projects/clang700-import/contrib/llvm/tools/lld/docs/ReleaseNotes.rst
  projects/clang700-import/contrib/llvm/tools/lld/lib/ReaderWriter/MachO/MachONormalizedFileBinaryUtils.h
_U  projects/clang700-import/contrib/llvm/tools/lldb/
  projects/clang700-import/lib/clang/include/clang/Basic/Version.inc
  projects/clang700-import/lib/clang/include/lld/Common/Version.inc
  projects/clang700-import/lib/clang/include/llvm/Support/VCSRevision.h
Comment 23 commit-hook freebsd_committer 2018-09-17 19:04:23 UTC
A commit references this bug:

Author: dim
Date: Mon Sep 17 19:04:16 UTC 2018
New revision: 338730
URL: https://svnweb.freebsd.org/changeset/base/338730

Log:
  Merge llvm, clang, lld, lldb, compiler-rt and libc++ 7.0.0 release
  r342383, and bump version numbers.

  PR:		230240, 230355

Changes:
_U  projects/clang700-import/contrib/compiler-rt/
_U  projects/clang700-import/contrib/libc++/
_U  projects/clang700-import/contrib/llvm/
_U  projects/clang700-import/contrib/llvm/tools/clang/
  projects/clang700-import/contrib/llvm/tools/clang/lib/Basic/Version.cpp
_U  projects/clang700-import/contrib/llvm/tools/lld/
  projects/clang700-import/contrib/llvm/tools/lld/docs/ReleaseNotes.rst
_U  projects/clang700-import/contrib/llvm/tools/lldb/
  projects/clang700-import/lib/clang/include/clang/Basic/Version.inc
  projects/clang700-import/lib/clang/include/lld/Common/Version.inc
  projects/clang700-import/lib/clang/include/llvm/Support/VCSRevision.h
Comment 24 Dimitry Andric freebsd_committer 2018-10-06 16:57:08 UTC
Now 7.0.0 release is in, can we please have another run?  This would help with determining whether we can merge it back to head before 12.0 ships.
Comment 25 Mark Linimon freebsd_committer freebsd_triage 2018-10-06 20:35:08 UTC
(In reply to Dimitry Andric from comment #24)

Surely we can't be considering this.

Feature freeze was 24 August 2018 per https://www.freebsd.org/releases/12.0R/schedule.html .

If we were still on the original schedule stable/12 branch would have been 12 October 2018, with release due on 27 November 2018.  I know we've slipped a bit but the website doesn't show it yet.

On the last headamd64PR230355-default run, neither gnome, kde, samba, openoffice, nor qemu built.  IMVHO that constitutes a "don't-ship".
Comment 26 Jan Beich freebsd_committer 2018-10-06 21:18:13 UTC
(In reply to Mark Linimon from comment #25)
> Surely we can't be considering this.

LLD hasn't been extensively tested in the wild (before FreeBSD). Newer may need less LLD_UNSAFE. Explicitly rejecting -z <unknown> is better than silently accepting it to prevent runtime bugs.

> On the last headamd64PR230355-default run, neither gnome, kde,
> samba, openoffice, nor qemu built.  IMVHO that constitutes a
> "don't-ship".

Users don't usually install from /release_<n> but /quarterly. The latter is a moving target. By the time 12.0-RELEASE more ports can be fixed.

How many ports builds shouldn't be very important from base system POV. The primary concern is catching toolchain bugs (e.g., bug 230622 or bug 230412), so consumers (not just ports) don't have to invent gross workarounds. Obviously, too few ports building would prevent enough exposure. However, if you need a stable compiler stick to a specific devel/llvm* on all FreeBSD versions. Why FreeBSD release engineering is still driven by ports/ freezes, something which was abolished years ago?
Comment 27 Jan Beich freebsd_committer 2018-10-06 22:10:24 UTC
Also, I don't disagree clang 7 maybe too late for 12.0 train. /head feature freeze is one of the reasons clang 7 stabilization stalled for ~1 month as few users/developers bothered to dogfood external repo and report more bugs. For one, port maintainers maybe reluctant to fix their ports if build on /head is green.
Comment 28 Mark Linimon freebsd_committer freebsd_triage 2018-10-06 23:50:20 UTC
(In reply to Jan Beich from comment #27)

Shipping any kind of release without working gnome or kde is a gross POLA violation.  Saying "it's a .0 release" or "use quarterly" is not an option.  IMVVHO.
Comment 29 Ed Maste freebsd_committer 2018-10-08 12:50:19 UTC
(In reply to Jan Beich from comment #26)
> Explicitly rejecting -z <unknown> is better than silently accepting it to
> prevent runtime bugs.

This point is a strong argument of continuing clang700 exp-runs, regardless of whether or not it's merged to 12.0.
Comment 30 Antoine Brodin freebsd_committer 2018-10-11 12:21:03 UTC
Exp-run results on amd64 with c++03 removed from graphics/GraphicsMagick:

http://package18.nyi.freebsd.org/build.html?mastername=headamd64PR230355-default&build=2018-10-09_18h22m03s

New failures:

+ {"origin"=>"archivers/unarchiver", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"astro/boinc-setiathome", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"astro/kstars", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"benchmarks/postal", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"biology/seqtools", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"cad/jspice3", "phase"=>"stage", "errortype"=>"install_error"}
+ {"origin"=>"databases/foundationdb", "phase"=>"build", "errortype"=>"clang_werror"}
+ {"origin"=>"deskutils/tuxcards", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/ace", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/cxxopts", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/poslib", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"devel/sope2", "phase"=>"build", "errortype"=>"configure_error"}
+ {"origin"=>"devel/sope3", "phase"=>"build", "errortype"=>"configure_error"}
+ {"origin"=>"devel/thrift", "phase"=>"build", "errortype"=>"clang_werror"}
+ {"origin"=>"devel/thrift-c_glib", "phase"=>"build", "errortype"=>"clang_werror"}
+ {"origin"=>"devel/valgrind", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"devel/valgrind-devel", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"finance/kmymoney-kde4", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/quackle", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/ultimatestunts", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"graphics/gimp-focusblur-plugin", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"graphics/gimpfx-foundry", "phase"=>"run-depends", "errortype"=>"???"}
+ {"origin"=>"graphics/lprof-devel", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"graphics/p5-Alien-Gimp", "phase"=>"configure", "errortype"=>"???"}
+ {"origin"=>"graphics/py-open3d-python", "flavor"=>"py36", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"graphics/py-open3d-python", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"graphics/py-openimageio", "flavor"=>"py36", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"graphics/py-openimageio", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"irc/kvirc", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"irc/kvirc-qt4", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"java/sablevm", "phase"=>"stage", "errortype"=>"???"}
+ {"origin"=>"mail/kshowmail", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"mail/vmailmgr", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"math/libmissing", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"math/libpgmath", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"math/qtiplot", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"multimedia/acidrip", "phase"=>"configure", "errortype"=>"???"}
+ {"origin"=>"multimedia/mythtv", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"multimedia/mythtv-frontend", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"net/minisapserver", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"print/scribus", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"science/clhep", "phase"=>"build", "errortype"=>"coredump"}
+ {"origin"=>"security/nmap", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"textproc/2bsd-diff", "phase"=>"build", "errortype"=>"clang-bug"}
+ {"origin"=>"x11/polybar", "phase"=>"build", "errortype"=>"clang_werror"}
Comment 31 Antoine Brodin freebsd_committer 2018-10-11 12:22:35 UTC
New failure logs on amd64:

http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-10-09_18h22m03s/logs/errors/unar-1.10.1_10.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-10-09_18h22m03s/logs/errors/boinc-setiathome-8.00.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-10-09_18h22m03s/logs/errors/kstars-2.9.8,1.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-10-09_18h22m03s/logs/errors/postal-0.73_3.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-10-09_18h22m03s/logs/errors/seqtools-4.44.1_2.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-10-09_18h22m03s/logs/errors/jspice3-2.5.110615.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-10-09_18h22m03s/logs/errors/foundationdb-5.2.8.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-10-09_18h22m03s/logs/errors/tuxcards-2.2.1_1.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-10-09_18h22m03s/logs/errors/ace-6.5.2.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-10-09_18h22m03s/logs/errors/cxxopts-2.1.1.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-10-09_18h22m03s/logs/errors/poslib-1.0.6_2.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-10-09_18h22m03s/logs/errors/sope2-2.3.23_2.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-10-09_18h22m03s/logs/errors/sope3-3.2.10_3.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-10-09_18h22m03s/logs/errors/thrift-0.11.0,1.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-10-09_18h22m03s/logs/errors/thrift-c_glib-0.11.0,1.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-10-09_18h22m03s/logs/errors/valgrind-3.10.1.20160113_5,1.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-10-09_18h22m03s/logs/errors/valgrind-devel-3.10.1.20160113_5,1.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-10-09_18h22m03s/logs/errors/kmymoney-kde4-4.8.2_2.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-10-09_18h22m03s/logs/errors/quackle-1.0.3_3.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-10-09_18h22m03s/logs/errors/ultimatestunts-0.7.7.1_5.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-10-09_18h22m03s/logs/errors/gimp-focusblur-plugin-3.2.6_6.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-10-09_18h22m03s/logs/errors/gimpfx-foundry-2.6_2,1.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-10-09_18h22m03s/logs/errors/lprof-devel-20080514_13.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-10-09_18h22m03s/logs/errors/p5-Alien-Gimp-0.07.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-10-09_18h22m03s/logs/errors/py36-open3d-python-0.2.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-10-09_18h22m03s/logs/errors/py27-open3d-python-0.2.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-10-09_18h22m03s/logs/errors/py36-openimageio-1.7.17_14.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-10-09_18h22m03s/logs/errors/py27-openimageio-1.7.17_14.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-10-09_18h22m03s/logs/errors/kvirc-4.2.0_8.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-10-09_18h22m03s/logs/errors/kvirc-qt4-4.2.0_8.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-10-09_18h22m03s/logs/errors/sablevm-1.13_12.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-10-09_18h22m03s/logs/errors/kshowmail-4.1_6.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-10-09_18h22m03s/logs/errors/vmailmgr-0.97_2.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-10-09_18h22m03s/logs/errors/libmissing-20130815_3.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-10-09_18h22m03s/logs/errors/libpgmath-g20180904.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-10-09_18h22m03s/logs/errors/qtiplot-0.9.8.9_15.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-10-09_18h22m03s/logs/errors/acidrip-0.14_11.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-10-09_18h22m03s/logs/errors/mythtv-29.1_2,1.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-10-09_18h22m03s/logs/errors/mythtv-frontend-29.1_1,1.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-10-09_18h22m03s/logs/errors/minisapserver-0.3.8_1.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-10-09_18h22m03s/logs/errors/scribus-1.4.7_1.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-10-09_18h22m03s/logs/errors/clhep-2.4.0.4_1.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-10-09_18h22m03s/logs/errors/nmap-7.70.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-10-09_18h22m03s/logs/errors/2bsd-diff-2.11.log
http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-10-09_18h22m03s/logs/errors/polybar-3.2.1.log
Comment 32 Antoine Brodin freebsd_committer 2018-10-14 05:37:57 UTC
Exp-run results on i386 with c++03 removed from graphics/GraphicsMagick :

http://package18.nyi.freebsd.org/build.html?mastername=headi386PR230355-default&build=2018-10-11_13h54m38s

New failures :

+ {"origin"=>"archivers/unarchiver", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"astro/boinc-setiathome", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"benchmarks/postal", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"cad/jspice3", "phase"=>"stage", "errortype"=>"install_error"}
+ {"origin"=>"deskutils/tuxcards", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/ace", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/cxxopts", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/poslib", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"devel/thrift", "phase"=>"build", "errortype"=>"clang_werror"}
+ {"origin"=>"devel/thrift-c_glib", "phase"=>"build", "errortype"=>"clang_werror"}
+ {"origin"=>"finance/kmymoney-kde4", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/quackle", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/ultimatestunts", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"graphics/py-open3d-python", "flavor"=>"py36", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"graphics/py-open3d-python", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"irc/kvirc", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"irc/kvirc-qt4", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"mail/kshowmail", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"mail/vmailmgr", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"math/qtiplot", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"multimedia/mythtv", "phase"=>"build", "errortype"=>"checksum"}
+ {"origin"=>"multimedia/mythtv-frontend", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"net/minisapserver", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"print/scribus", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"security/nmap", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"textproc/2bsd-diff", "phase"=>"build", "errortype"=>"clang-bug"}
+ {"origin"=>"x11/polybar", "phase"=>"build", "errortype"=>"clang_werror"}
Comment 33 Antoine Brodin freebsd_committer 2018-10-14 05:39:46 UTC
New failure logs on i386 :

http://package18.nyi.freebsd.org/data/headi386PR230355-default/2018-10-11_13h54m38s/logs/errors/unar-1.10.1_10.log
http://package18.nyi.freebsd.org/data/headi386PR230355-default/2018-10-11_13h54m38s/logs/errors/boinc-setiathome-8.00.log
http://package18.nyi.freebsd.org/data/headi386PR230355-default/2018-10-11_13h54m38s/logs/errors/postal-0.73_3.log
http://package18.nyi.freebsd.org/data/headi386PR230355-default/2018-10-11_13h54m38s/logs/errors/jspice3-2.5.110615.log
http://package18.nyi.freebsd.org/data/headi386PR230355-default/2018-10-11_13h54m38s/logs/errors/tuxcards-2.2.1_1.log
http://package18.nyi.freebsd.org/data/headi386PR230355-default/2018-10-11_13h54m38s/logs/errors/ace-6.5.2.log
http://package18.nyi.freebsd.org/data/headi386PR230355-default/2018-10-11_13h54m38s/logs/errors/cxxopts-2.1.1.log
http://package18.nyi.freebsd.org/data/headi386PR230355-default/2018-10-11_13h54m38s/logs/errors/poslib-1.0.6_2.log
http://package18.nyi.freebsd.org/data/headi386PR230355-default/2018-10-11_13h54m38s/logs/errors/thrift-0.11.0,1.log
http://package18.nyi.freebsd.org/data/headi386PR230355-default/2018-10-11_13h54m38s/logs/errors/thrift-c_glib-0.11.0,1.log
http://package18.nyi.freebsd.org/data/headi386PR230355-default/2018-10-11_13h54m38s/logs/errors/kmymoney-kde4-4.8.2_2.log
http://package18.nyi.freebsd.org/data/headi386PR230355-default/2018-10-11_13h54m38s/logs/errors/quackle-1.0.3_3.log
http://package18.nyi.freebsd.org/data/headi386PR230355-default/2018-10-11_13h54m38s/logs/errors/ultimatestunts-0.7.7.1_5.log
http://package18.nyi.freebsd.org/data/headi386PR230355-default/2018-10-11_13h54m38s/logs/errors/py36-open3d-python-0.2.log
http://package18.nyi.freebsd.org/data/headi386PR230355-default/2018-10-11_13h54m38s/logs/errors/py27-open3d-python-0.2.log
http://package18.nyi.freebsd.org/data/headi386PR230355-default/2018-10-11_13h54m38s/logs/errors/kvirc-4.2.0_8.log
http://package18.nyi.freebsd.org/data/headi386PR230355-default/2018-10-11_13h54m38s/logs/errors/kvirc-qt4-4.2.0_8.log
http://package18.nyi.freebsd.org/data/headi386PR230355-default/2018-10-11_13h54m38s/logs/errors/kshowmail-4.1_6.log
http://package18.nyi.freebsd.org/data/headi386PR230355-default/2018-10-11_13h54m38s/logs/errors/vmailmgr-0.97_2.log
http://package18.nyi.freebsd.org/data/headi386PR230355-default/2018-10-11_13h54m38s/logs/errors/qtiplot-0.9.8.9_15.log
http://package18.nyi.freebsd.org/data/headi386PR230355-default/2018-10-11_13h54m38s/logs/errors/mythtv-29.1_2,1.log
http://package18.nyi.freebsd.org/data/headi386PR230355-default/2018-10-11_13h54m38s/logs/errors/mythtv-frontend-29.1_1,1.log
http://package18.nyi.freebsd.org/data/headi386PR230355-default/2018-10-11_13h54m38s/logs/errors/minisapserver-0.3.8_1.log
http://package18.nyi.freebsd.org/data/headi386PR230355-default/2018-10-11_13h54m38s/logs/errors/scribus-1.4.7_1.log
http://package18.nyi.freebsd.org/data/headi386PR230355-default/2018-10-11_13h54m38s/logs/errors/nmap-7.70.log
http://package18.nyi.freebsd.org/data/headi386PR230355-default/2018-10-11_13h54m38s/logs/errors/2bsd-diff-2.11.log
http://package18.nyi.freebsd.org/data/headi386PR230355-default/2018-10-11_13h54m38s/logs/errors/polybar-3.2.1.log